This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 509915 - changing hw config in virt-manager does more than requested
changing hw config in virt-manager does more than requested
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 16:24 EDT by Aron Griffis
Modified: 2012-10-11 09:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-07 15:08:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aron Griffis 2009-07-06 16:24:53 EDT
Description of problem:
Using virt-manager, I added a gfx head to a VM that didn't have one previously.  Looking at the resulting xml, it also changed some of the serial config.  This seems harmless but unexpected.

--- 1	2009-07-06 16:20:40.000000000 -0400
+++ 2	2009-07-06 16:20:43.000000000 -0400
@@ -36,13 +36,15 @@
       <model type='virtio'/>
     </interface>
     <serial type='pty'>
-      <source path='/dev/pts/2'/>
+      <source path='/dev/pts/3'/>
       <target port='0'/>
     </serial>
-    <console type='pty' tty='/dev/pts/2'>
-      <source path='/dev/pts/2'/>
+    <console type='pty' tty='/dev/pts/3'>
+      <source path='/dev/pts/3'/>
       <target port='0'/>
     </console>
+    <input type='mouse' bus='ps2'/>
+    <graphics type='vnc' port='-1' autoport='yes' listen='127.0.0.1' keymap='en-us'/>
   </devices>
 </domain>

then I removed the gfx head and it also removed a snippet from the network section.  This might be harmless but is even more unexpected than the first change.

--- 2   2009-07-06 16:20:43.000000000 -0400
+++ 3   2009-07-06 16:20:52.000000000 -0400
@@ -32,7 +32,6 @@
     <interface type='bridge'>
       <mac address='00:01:01:11:06:00'/>
       <source bridge='br0'/>
-      <target dev='vnet0'/>
       <model type='virtio'/>
     </interface>
     <serial type='pty'>
@@ -43,8 +42,6 @@
       <source path='/dev/pts/3'/>
       <target port='0'/>
     </console>
-    <input type='mouse' bus='ps2'/>
-    <graphics type='vnc' port='-1' autoport='yes' listen='127.0.0.1' keymap='en-us'/>
   </devices>
 </domain>

Version-Release number of selected component (if applicable):
RHEL 5.4 beta
python-virtinst-0.400.3-4.el5.noarch
libvirt-python-0.6.3-11.el5.x86_64
libvirt-0.6.3-11.el5.x86_64
libvirt-0.6.3-11.el5.i386
virt-viewer-0.0.2-3.el5.x86_64
virt-manager-0.6.1-4.el5.x86_64
Comment 1 Daniel Berrange 2009-07-06 18:19:14 EDT
The console /dev/pts paths are allocated by the kernel on the fly each time a VM starts, so it is expected that this will vary. The '<target dev='vnet0'>' element refers to an auto-generated Xen backend device name, and again this is expected to change, and only be visible when the guest is running.  So all the differences you see are expected.

FYI, if you run 'virsh dumpxml --inactive GUEST'  you will be shown the static configuration which should exclude all these runtime auto-generated attributes.
Comment 2 Aron Griffis 2009-07-07 14:53:35 EDT
Thanks for explaining, Daniel.  I think this bug can be closed as invalid.
Comment 3 Bill Burns 2009-07-07 15:08:16 EDT
Closing at reporter's request.

Note You need to log in before you can comment on or make changes to this bug.